Isotropix Forums

Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

General Discussion about Isotropix and CG related topics

Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby AmeenMansoor » Tue Aug 03, 2021 9:05 pm

Hello,
I could not install Clarisse 5 PLE on my Mac Pro 2010, when I click on the Clarisse icon.. the program tries to launch but it disappears.. I have a system 10.13.6 and an ATI Radeon HD 5770 1024 MB graphics card and 32 GB ram memory, with Python 3.7 ..
Does Clarisse work on this Mac?
Please Help :| :|
AmeenMansoor
 
Posts: 8
Joined: Wed Jul 21, 2021 3:41 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby anemoff » Wed Aug 04, 2021 10:30 am

Hi,

Your system configuration should be supported.
Have you tried right-clicking (or CMD + click) on clarisse.app and select "Open" ? If asked, click on "Open anyway" after that.

If that still doesn't work, can you open a terminal and go to "clarisse.app/Contents/MacOS" and run "./clarisse -ple" ?
You should get some more information in the terminal output to understand what's happening.

Cheers,
Anthony Nemoff
Isotropix
R&D Engineer
User avatar
anemoff
 
Posts: 413
Joined: Wed Jan 13, 2016 10:10 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby AmeenMansoor » Thu Aug 05, 2021 12:57 am

Thank you for replay,
Look sir, I do everything ..
- right-clicking and select open it's try lunch , and my computer give msg: "Clarisse" is application downloaded from the Internet. Are you sure you want to pen it? and I clicked : Open and give him allow from Security & Privacy.. but not lunch.
- I formated my Hard Disk , and install clean system macOS 10.13.6, Python 3.7 and clarisse. same problem.
- I tried open Clarisse from Terminal by code : ./clarisse -flavor PLE, ./clarisse -flavor iFX, ./clarisse -flavor BUiLDER, but give me this msg in terminal: ./clarisse: line 19: 2118 Illegal instruction: 4 "${app_dir}/clarisse.bin" $*
- I formated another local hard disk, and install clean system macOS 10.12, Python 3.7 and Clarisse. but not work..

Can you help me Please..

My Mac is : Mac Pro (Mid 2010)
Processor : 2 x 2.93 GHz 6-Core Intel Xeon
Memory : 32 GB 1333 MHz DDR3
Graphics : ATI Radeon HD 5770 1024 MB
Screen: Apple LED Cinema Display 27-inch (2560 x 1440)

Thank you
Attachments
01.png
AmeenMansoor
 
Posts: 8
Joined: Wed Jul 21, 2021 3:41 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby anemoff » Thu Aug 05, 2021 4:52 pm

Hi,

Sorry to hear that.

Your macOS version is supported, but based on the error message "Illegal instruction: 4" it could be that your CPU isn't supported.
Given that your Mac is quite old, it is plausible. But I'm not sure yet this is the cause of the error.

In any case, formatting the hard drive won't change anything, so don't lose time trying that.

I'll investigate some more and come back to you.

Regards,
Anthony Nemoff
Isotropix
R&D Engineer
User avatar
anemoff
 
Posts: 413
Joined: Wed Jan 13, 2016 10:10 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby AmeenMansoor » Thu Aug 05, 2021 5:04 pm

Hi Anthony Nemoff
Thank you so match , I hope you find solution for that..
Regrads
AmeenMansoor
 
Posts: 8
Joined: Wed Jul 21, 2021 3:41 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby anemoff » Fri Aug 06, 2021 12:44 pm

Do previous 5.0 versions (5.0 or 5.0 SP1) run on your Mac?
Does 4.0 run on your Mac?

Thanks,
Anthony Nemoff
Isotropix
R&D Engineer
User avatar
anemoff
 
Posts: 413
Joined: Wed Jan 13, 2016 10:10 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby AmeenMansoor » Fri Aug 06, 2021 4:54 pm

Hello Anemoff,
Clarisse 5 to SP3 not work in my Mac Pro, but version 4 SP16 PLE work fine without any problems .
Thank you
Regards
AmeenMansoor
 
Posts: 8
Joined: Wed Jul 21, 2021 3:41 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby AmeenMansoor » Fri Aug 06, 2021 8:54 pm

Image
Attachments
workfineClarrise4.png
AmeenMansoor
 
Posts: 8
Joined: Wed Jul 21, 2021 3:41 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby anemoff » Thu Aug 26, 2021 2:40 pm

Hi,

Sorry for the late response.

Based on the following links, I think your Mac doesn't support AVX:
- https://support.apple.com/kb/sp589
- https://ark.intel.com/content/www/fr/fr ... l-qpi.html
Also AVX was introduced in CPUs around 2011.

Can you run the following command in a terminal to check if your CPU supports AVX instructions?
Code: Select all
sysctl -a | grep machdep.cpu.features


If AVX is supported you should see it in the output.
For example, in an iMac Late 2015 with an Intel Core i5 I have the following output, which includes AVX:
$ sysctl -a | grep machdep.cpu.features
machdep.cpu.features: FPU VME DE PSE TSC MSR PAE MCE CX8 APIC SEP MTRR PGE MCA CMOV PAT PSE36 CLFSH DS ACPI MMX FXSR SSE SSE2 SS HTT TM PBE SSE3 PCLMULQDQ DTES64 MON DSCPL VMX SMX EST TM2 SSSE3 FMA CX16 TPR PDCM SSE4.1 SSE4.2 x2APIC MOVBE POPCNT AES PCID XSAVE OSXSAVE SEGLIM64 TSCTMR AVX1.0 RDRAND F16C
Anthony Nemoff
Isotropix
R&D Engineer
User avatar
anemoff
 
Posts: 413
Joined: Wed Jan 13, 2016 10:10 am

Re: Clarisse on Mac Pro 2010 - macOS High Sierra 10.13.6

Unread postby AmeenMansoor » Sun Aug 29, 2021 1:08 am

Hi Anemoff,
Thank you for replay, but it's bad news, my ma pro not support AVX, but my MacBook Pro 16 with Clarisse 5 from SP1 to SP2 work fine, but with SP3 all windows views are blank white. I know you are not support BigSur even now, I hope you going to supports in future..
Thank you

Regards
AmeenMansoor
 
Posts: 8
Joined: Wed Jul 21, 2021 3:41 am


Return to General Discussion